import request from '@/utils/request'

export function show_tmp(data) {
  return request({
    url: '/api/drug_tmplate/show_tmp',
    method: 'post',
    data
  })
}

export function select_drug(data) {
  return request({
    url: '/api/drug_tmplate/select_drug',
    method: 'post',
    data
  })
}

// /api/drug_tmplate/bind_tmp_enter_warehouse
export function bind_tmp_enter_warehouse(data) {
  return request({
    url: '/api/drug_tmplate/bind_tmp_enter_warehouse',
    method: 'post',
    data
  })
}

// /api/drug_tmplate/add_tmp
export function add_tmp(data) {
  return request({
    url: '/api/drug_tmplate/add_tmp',
    method: 'post',
    data
  })
}

// /api/drug_tmplate/del_tmp
export function del_tmp(data) {
  return request({
    url: '/api/drug_tmplate/del_tmp',
    method: 'post',
    data
  })
}

// /api/drug_tmplate/u_file_list
export function u_file_list(data) {
  return request({
    url: '/api/drug_tmplate/u_file_list',
    method: 'post',
    data
  })
}

// /api/drug_tmplate/put_in_tmp
export function put_in_tmp(data) {
  return request({
    url: '/api/drug_tmplate/put_in_tmp',
    method: 'post',
    data
  })
}

//  /api/drug_tmplate/pring_bar_code
export function pring_bar_code(data) {
  return request({
    url: '/api/drug_tmplate/pring_bar_code',
    method: 'post',
    data
  })
}
